- Home
- API Enriched
- Ddos
- infraprotect
- Mitigation Countermeasures.
Mitigation Countermeasures.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/mitigation/example/countermeasures';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/mitigation/example/countermeasures \ --header 'Authorization: <Authorization>'Returns list of Mitigation Countermeasures and their status for mitigation (and allows for searching through it)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
Mitigation ID ID of the mitigation we want to GET the countermeasures for.
Responses
Section titled “Responses”A successful response.
List of Mitigation countermeasures.
object
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
object
“true” if the countermeasure is applied, “false” if not applied.
Examplegenerated
{ "aif_and_http_url_regular_expression": { "applied": "example" }, "dns_auth": { "applied": "example" }, "dns_malformed": { "applied": "example" }, "dns_nxdomain_ratelimiting": { "applied": "example" }, "dns_object_ratelimiting": { "applied": "example" }, "dns_ratelimiting": { "applied": "example" }, "dns_regular_expression": { "applied": "example" }, "dns_scoping": { "applied": "example" }, "http_malformed": { "applied": "example" }, "http_rate_limiting": { "applied": "example" }, "http_scoping": { "applied": "example" }, "invalid_packets": { "applied": "example" }, "ip_address_filter_list": { "applied": "example" }, "ip_location_filter_list": { "applied": "example" }, "ip_location_policing": { "applied": "example" }, "packet_header_filtering": { "applied": "example" }, "payload_regular_expression": { "applied": "example" }, "per_connection_flood_protection": { "applied": "example" }, "protocol_baselines": { "applied": "example" }, "proxy_list_threshold_exceptions": { "applied": "example" }, "shaping": { "applied": "example" }, "sip_malformed": { "applied": "example" }, "sip_request_limiting": { "applied": "example" }, "tcp_connection_limiting": { "applied": "example" }, "tcp_connection_reset": { "applied": "example" }, "tcp_syn_auth": { "applied": "example" }, "tls_negotiation": { "applied": "example" }, "udp_reflection_amp": { "applied": "example" }, "udp_session_authentication": { "applied": "example" }, "zombie_detection": { "applied": "example" }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example